UpdateStatement (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3.statements

## Class UpdateStatement

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ModificationStatement
  - - org.apache.cassandra.cql3.statements.UpdateStatement

- All Implemented Interfaces:
    CQLStatement

      public class UpdateStatement
      extends ModificationStatement

  An `UPDATE` statement parsed from a CQL query statement.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UpdateStatement.ParsedInsert`
    `static class` | `UpdateStatement.ParsedInsertJson` A parsed INSERT JSON statement.
    `static class` | `UpdateStatement.ParsedUpdate`

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ModificationStatement

      `ModificationStatement.Parsed`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.statements.ModificationStatement

      `cfm, CUSTOM_EXPRESSIONS_NOT_ALLOWED, logger, type`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addUpdateForKey(PartitionUpdate update, Clustering clustering, UpdateParameters params)`
    `void` | `addUpdateForKey(PartitionUpdate update, Slice slice, UpdateParameters params)`
    `boolean` | `requireFullClusteringKey()`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.ModificationStatement

      `addConditions, addFunctionsTo, allOperations, appliesOnlyToStaticColumns, buildCasResultSet, buildPartitionKeyNames, checkAccess, columnFamily, conditionColumns, createClustering, execute, executeInternal, executeInternalWithCondition, executeInternalWithoutCondition, executeWithCondition, getBoundTerms, getColumnsWithConditions, getFunctions, getRegularOperations, getRestrictions, getStaticOperations, getTimestamp, getTimeToLive, hasConditions, hasIfExistCondition, hasIfNotExistCondition, hasSlices, isCounter, isTimestampSet, isView, keyspace, requiresRead, updatedColumns, updatesRegularRows, updatesStaticRow, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### requireFullClusteringKey

          public boolean requireFullClusteringKey()

    - #### addUpdateForKey

          public void addUpdateForKey(PartitionUpdate update,
                                      Clustering clustering,
                                      UpdateParameters params)

      Specified by:
        `addUpdateForKey` in class `ModificationStatement`

    - #### addUpdateForKey

          public void addUpdateForKey(PartitionUpdate update,
                                      Slice slice,
                                      UpdateParameters params)

      Specified by:
        `addUpdateForKey` in class `ModificationStatement`

Copyright © 2018 The Apache Software Foundation